/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;

import java.util.Date;


/**
 * 系统详情
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-12-31 10:53:10  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "系统详情")
public class CpProjectDetail implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_planAmount = "planAmount";
  public static final String KEY_startTime = "startTime";
  public static final String KEY_endTime = "endTime";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_detailType = "detailType";

  /**
   * <br>
   */
  @ApiModelProperty("")
  private Long id;
  /**
   * 计划数量<br>
   */
  @ApiModelProperty("计划数量")
  private Integer planAmount;
  /**
   * 计划开始时间<br>
   */
  @ApiModelProperty("计划开始时间")
  private Date startTime;
  /**
   * 计划结束时间<br>
   */
  @ApiModelProperty("计划结束时间")
  private Date endTime;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-projectId: 数据长度不能 > 50" )
  private String projectId;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-tenantId: 数据长度不能 > 50" )
  private String tenantId;
  /**
   * 类型：1、用例设计；2、需求分析；3、用例执行<br>
   */
  @ApiModelProperty("类型：1、用例设计；2、需求分析；3、用例执行")
  private Integer detailType;

  /**
   * <br>
   */
  public Long getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(Long id)
  {
      this.id = id;
    }
  /**
   * 计划数量<br>
   */
  public Integer getPlanAmount()
  {
      return planAmount;
    }

  /**
   * 计划数量<br>
   *
   * @param planAmount 计划数量
   */
  public void setPlanAmount(Integer planAmount)
  {
      this.planAmount = planAmount;
    }
  /**
   * 计划开始时间<br>
   */
  public Date getStartTime()
  {
      if(startTime != null)
    {
      return (Date)startTime.clone();
    }
    return null;
    }

  /**
   * 计划开始时间<br>
   *
   * @param startTime 计划开始时间
   */
  public void setStartTime(Date startTime)
  {
      if(startTime != null)
    {
      this.startTime = (Date)startTime.clone();
    }
    }
  /**
   * 计划结束时间<br>
   */
  public Date getEndTime()
  {
      if(endTime != null)
    {
      return (Date)endTime.clone();
    }
    return null;
    }

  /**
   * 计划结束时间<br>
   *
   * @param endTime 计划结束时间
   */
  public void setEndTime(Date endTime)
  {
      if(endTime != null)
    {
      this.endTime = (Date)endTime.clone();
    }
    }
  /**
   * <br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * <br>
   *
   * @param projectId 
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * <br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * <br>
   *
   * @param tenantId 
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 类型：1、用例设计；2、需求分析；3、用例执行<br>
   */
  public Integer getDetailType()
  {
      return detailType;
    }

  /**
   * 类型：1、用例设计；2、需求分析；3、用例执行<br>
   *
   * @param detailType 类型：1、用例设计；2、需求分析；3、用例执行
   */
  public void setDetailType(Integer detailType)
  {
      this.detailType = detailType;
    }

  public CpProjectDetail()
  {
  }

}
